apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: vector
spec:
  image: ami-01e58630c6fb43a44
  instanceMetadata:
    httpTokens: required
  machineType: c6i.2xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  mixedInstancesPolicy:
    onDemandAboveBase: 0
    onDemandBase: 0
    spotAllocationStrategy: capacity-optimized
  nodeLabels:
    datasaker/group: vector
    kops.k8s.io/instancegroup: vector
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/vector:NoSchedule
